| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::testing::TestAllocator Class Reference
Inheritance diagram for impeller::testing::TestAllocator:

## Public Member Functions
| TestAllocator ()=default
| ~TestAllocator ()=default
ISize | GetMaxTextureSizeSupported () const override
std::shared_ptr< DeviceBuffer > | OnCreateBuffer (const DeviceBufferDescriptor &desc) override
virtual std::shared_ptr< Texture > | OnCreateTexture (const TextureDescriptor &desc) override
Public Member Functions inherited from impeller::Allocator
virtual | ~Allocator ()
bool | IsValid () const
std::shared_ptr< DeviceBuffer > | CreateBuffer (const DeviceBufferDescriptor &desc)
std::shared_ptr< Texture > | CreateTexture (const TextureDescriptor &desc)
virtual uint16_t | MinimumBytesPerRow (PixelFormat format) const
| Minimum value for `row_bytes` on a Texture. The row bytes parameter of that method must be aligned to this value. More...
std::shared_ptr< DeviceBuffer > | CreateBufferWithCopy (const uint8_t *buffer, size_t length)
std::shared_ptr< DeviceBuffer > | CreateBufferWithCopy (const fml::Mapping &mapping)
virtual void | DidAcquireSurfaceFrame ()
| Increment an internal frame used to cycle through a ring buffer of allocation pools. More...

## Public Attributes
bool | should_fail = false

## Additional Inherited Members
Protected Member Functions inherited from impeller::Allocator
| Allocator ()

## Detailed Description

Definition at line 16 of file render_target_cache_unittests.cc.

## Constructor & Destructor Documentation

## ◆ TestAllocator()

impeller::testing::TestAllocator::TestAllocator | ( |  | ) |
| default

## ◆ ~TestAllocator()

impeller::testing::TestAllocator::~TestAllocator | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetMaxTextureSizeSupported()

ISize impeller::testing::TestAllocator::GetMaxTextureSizeSupported | ( |  | ) | const
| inline override virtual

Implements impeller::Allocator.

Definition at line 22 of file render_target_cache_unittests.cc.

22 {
23 return ISize(1024, 1024);
24 };

## ◆ OnCreateBuffer()

std::shared_ptr<DeviceBuffer> impeller::testing::TestAllocator::OnCreateBuffer | ( | const DeviceBufferDescriptor & | desc | ) |
| inline override virtual

Implements impeller::Allocator.

Definition at line 26 of file render_target_cache_unittests.cc.

27 {
28 if (should_fail) {
29 return nullptr;
30 }
31 return std::make_shared<MockDeviceBuffer>(desc);
32 };

References should_fail.

## ◆ OnCreateTexture()

virtual std::shared_ptr<Texture> impeller::testing::TestAllocator::OnCreateTexture | ( | const TextureDescriptor & | desc | ) |
| inline override virtual

Implements impeller::Allocator.

Definition at line 34 of file render_target_cache_unittests.cc.

35 {
36 if (should_fail) {
37 return nullptr;
38 }
39 return std::make_shared<MockTexture>(desc);
40 };

References should_fail.

## Member Data Documentation

## ◆ should_fail

bool impeller::testing::TestAllocator::should_fail = false

Definition at line 42 of file render_target_cache_unittests.cc.

Referenced by OnCreateBuffer(), and OnCreateTexture().

The documentation for this class was generated from the following file:

- impeller/entity/render_target_cache_unittests.cc

impeller::ISize
TSize< int64_t > ISize
Definition: size.h:138
impeller::testing::TestAllocator::should_fail
bool should_fail
Definition: render_target_cache_unittests.cc:42